/* book.cc 03/02/2001 11.49.04 */
PUBLIC PAGEPAD::PAGEPAD (const char *_title);
PUBLIC PAGEPAD::~PAGEPAD (void);
PUBLIC BOOK::BOOK (FORMBASE *_parent, const char *_id);
PUBLIC BOOK::~BOOK (void);
PUBLIC void BOOK::New_page (FORMBASE *sub, const char *s);
PUBLIC MFORM *BOOK::New_form (const char *s);
PRIVATE void BOOK::drawsel (wxDC *dc,
	 int no,
	 bool select,
	 int offsetx,
	 int maxx);
PRIVATE void BOOK::setpadvisible (int no);
PRIVATE void BOOK::sendfocus (wxMouseEvent *ev);
PUBLIC void BOOK::selpage (int no, wxMouseEvent *ev);
PUBLIC void BOOK::selpage (FORMBASE *f);
PRIVATE bool BOOK::locatepad (int x, wxMouseEvent *ev);
PUBLIC void BOOK::OnEvent (wxMouseEvent&event);
PUBLIC void BOOK::OnPaint (void);
PUBLIC void BOOK::delform (MFORM *fl);
PUBLIC void BOOK::stretch (int new_width, int new_height);
PUBLIC void BOOK::resizeitems (int diffx, int diffy);
PUBLIC void BOOK::getweight (int &w, int &h);
/* clist.cc 15/08/2001 23.19.12 */
PUBLIC CLIST::CLIST (FORMBASE *_parent,
	 const char *_id,
	 int _nbcol,
	 const char *_cols[]);
PRIVATE void CLIST::freecols (void);
PUBLIC CLIST::~CLIST (void);
PUBLIC void CLIST::New_item (const char *id, const char *items[]);
PUBLIC void CLIST::Set_item (const char *id, const char *items[]);
PUBLIC void CLIST::sethead (int _nbcol, const char *_cols[]);
PUBLIC void CLIST::OnEvent (wxMouseEvent&event);
PUBLIC void CLIST::drawhead (void);
PUBLIC void CLIST::OnPaint (void);
PUBLIC int CLIST::setcurfield (const char *id_suffix,
	 wxWindow *tbfocus[],
	 int &nbfocus);
PUBLIC void CLIST::setval (const char *id,
	 const char *vals[],
	 SETVAL_INFO&info);
/* combo.cc 16/08/2001 18.10.20 */
PUBLIC COMBO_LIST::COMBO_LIST (COMBO *_cm, int x, int y);
PUBLIC void COMBO_LIST::OnEvent (wxMouseEvent&event);
PUBLIC COMBO_ITEM::COMBO_ITEM (const char *_val1, const char *_val2);
PUBLIC COMBO_ITEM::~COMBO_ITEM (void);
PUBLIC void COMBO_ITEM::set (const char *_val1, const char *_val2);
PUBLIC COMBO::COMBO (MFORM *_parent,
	 const char *initval,
	 int cols,
	 bool listonly);
PUBLIC COMBO::~COMBO (void);
PUBLIC void COMBO::OnEvent (wxMouseEvent&event);
PRIVATE void COMBO::fixsize (const char *val1);
PUBLIC void COMBO::addItem (const char *val1, const char *val2);
PUBLIC void COMBO::setItem (int no,
	 const char *val1,
	 const char *val2);
PUBLIC void COMBO::showlist (void);
PUBLIC const char *COMBO::getText (void);
PUBLIC void COMBO::setText (const char *val);
PUBLIC void COMBO::select (int no);
/* defs.cc 31/07/2001 15.02.42 */
/* diawxxt.cc 19/10/1997 00.42.02 */
/* error.cc 24/10/1997 14.54.28 */
PUBLIC ERROR_FORM::ERROR_FORM (const char *tb[]);
/* formbase.cc 16/08/2001 18.10.42 */
PRIVATE void FORMBASE::init (FORMBASE *_parent, const char *_id);
PUBLIC FORMBASE::FORMBASE (FORMBASE *_parent, const char *_id);
PUBLIC FORMBASE::FORMBASE (const char *_id);
PUBLIC void FORMBASE::delall (void);
PUBLIC VIRTUAL void FORMBASE::delform (MFORM *fl);
PUBLIC FORMBASE::~FORMBASE (void);
PUBLIC VIRTUAL bool FORMBASE::may_stretch (void);
PUBLIC VIRTUAL void FORMBASE::stretch (int , int);
PUBLIC bool FORMBASE::was_modified (void);
PUBLIC VIRTUAL void FORMBASE::set_modified (void);
PUBLIC VIRTUAL void FORMBASE::dump (void);
PUBLIC VIRTUAL void FORMBASE::setval (const char *id,
	 const char *vals[],
	 SETVAL_INFO&info);
PUBLIC wxFrame *FORMBASE::getframe (void);
PUBLIC FORMBASE *FORMBASE::getparent (void);
PUBLIC MAINFORM *FORMBASE::gettop (void);
PUBLIC FORMBASE *FORMBASE::getlogicaltop (void);
PUBLIC VIRTUAL void FORMBASE::dolayout (int , int);
PUBLIC VIRTUAL void FORMBASE::resizeitems (int , int);
PUBLIC VIRTUAL void FORMBASE::getweight (int &w, int &h);
PUBLIC void FORMBASE::doalllayout (void);
PUBLIC void FORMBASE::resetlayout (void);
PUBLIC int FORMBASE::locate (const char *id,
	 MFORM *&form,
	 BOOK *&book);
PUBLIC MFORM_C *FORMBASE::alloc_mf (const char *_id);
PUBLIC MFORM_C *FORMBASE::alloc_mf (void);
PUBLIC VIRTUAL int FORMBASE::setcurfield (const char *,
	 wxWindow *[],
	 int &);
PUBLIC int MFORM::setcurfield (const char *id_suffix,
	 wxWindow *tbfocus[],
	 int &nbfocus);
PUBLIC int BOOK::setcurfield (const char *id_suffix,
	 wxWindow *tbfocus[],
	 int &nbfocus);
PUBLIC void FORMBASE::processradio (MFORM_C *csel);
PUBLIC void FORMBASE::drawradio_but (MFORM_C *c);
PUBLIC void FORMBASE::delchild (void);
/* formbutton.cc 23/10/1997 15.33.30 */
PUBLIC FORMBUTTON::FORMBUTTON (FORMBASE *_parent, const char *_id);
PUBLIC FORMBUTTON::FORMBUTTON (FORMBASE *_parent,
	 const char *_id,
	 int _back);
PUBLIC FORMBUTTON::~FORMBUTTON (void);
PUBLIC wxButton *FORMBUTTON::New_button (const char *_id,
	 bool dodump,
	 const char *str);
PUBLIC void FORMBUTTON::OnPaint (void);
/* group.cc 19/10/1997 23.29.08 */
PUBLIC GROUP::GROUP (MFORM *_parent,
	 const char *_id,
	 const char *_title);
PUBLIC GROUP::GROUP (MFORM *_parent, const char *_id);
PUBLIC GROUP::~GROUP (void);
PUBLIC void GROUP::drawgroup (void);
PUBLIC void GROUP::OnPaint (void);
/* group_fit.cc 19/10/1997 23.29.04 */
PUBLIC GROUP_FIT::GROUP_FIT (MFORM *_parent,
	 const char *_id,
	 const char *_title);
PUBLIC GROUP_FIT::GROUP_FIT (MFORM *_parent, const char *_id);
PUBLIC void GROUP_FIT::stretch (int new_width, int new_height);
/* hline.cc 19/10/1997 23.12.36 */
PUBLIC HLINE::HLINE (MFORM *_parent, const char *_s);
PUBLIC HLINE::~HLINE (void);
PRIVATE void HLINE::draw3dline (wxDC *dc, int x, int y, int end);
PUBLIC void HLINE::OnPaint (void);
/* layoutbook.cc 25/05/2000 22.53.04 */
PUBLIC void BOOK::fitstrategie (int left, int top, bool use_cur_dim);
PUBLIC void BOOK::dolayout (int , int);
/* layout.cc 19/02/2001 12.04.38 */
PUBLIC void MFORM::vmoveitems (int newpos);
PUBLIC VIRTUAL void MFORM::hmoveitems (int newpos);
PROTECTED void MFORM::FitStrategie_marge (int gauche,
	 int droit,
	 int haut,
	 int bas,
	 bool use_cur_size,
	 int maxw,
	 int maxh);
PUBLIC VIRTUAL void MFORM::dolayout (int maxw, int maxh);
/* mainform.cc 24/08/2001 20.31.46 */
PUBLIC void MAINFORM::mainlayout (void);
PRIVATE void MAINFORM::init (wxFrame *_parent,
	 int x,
	 int y,
	 long style);
PRIVATE void MAINFORM::init (const char *type);
PUBLIC MAINFORM::MAINFORM (const char *_id,
	 const char *_titre,
	 const char *type);
PUBLIC MAINFORM::MAINFORM (const char *_id);
PUBLIC MAINFORM::MAINFORM (wxFrame *_parent,
	 const char *_id,
	 int x,
	 int y,
	 long style);
PUBLIC MAINFORM::~MAINFORM (void);
PUBLIC void MAINFORM::reset (void);
PUBLIC void MAINFORM::Popup (void);
PUBLIC void MAINFORM::waitpopup (void);
PUBLIC void MAINFORM::setTitle (const char *title);
PUBLIC VIRTUAL void MAINFORM::dispose (void);
PUBLIC void MAINFORM::show (void);
PUBLIC void MAINFORM::hide (void);
PUBLIC void MAINFORM::escape (void);
PUBLIC void MAINFORM::setenteraction (const char *str);
PUBLIC const char *MAINFORM::getenteraction (void);
PUBLIC void MAINFORM::setcursor (wxCursor *cur);
PUBLIC wxFrame *MAINFORM::getframe (void);
/* mform.cc 13/08/2001 13.34.26 */
PUBLIC MFORM_DRAW::MFORM_DRAW (void);
PUBLIC MFORM_DRAW::~MFORM_DRAW (void);
PRIVATE void MFORM_DRAW::grow (void);
PUBLIC void MFORM_DRAW::add (int command,
	 const char *s,
	 int arg0,
	 int arg1,
	 int arg2,
	 int arg3,
	 int arg4,
	 int arg5,
	 int arg6,
	 int arg7);
PUBLIC void MFORM_DRAW::add (int command, int args[], int nbarg);
PUBLIC void MFORM_DRAW::draw (wxWindow *win,
	 wxDC *dc,
	 int hoffset,
	 int voffset);
PUBLIC MFORM_C::MFORM_C (const char *_id);
PUBLIC void MFORM_C::sets (const char *str);
PUBLIC MFORM_C::~MFORM_C (void);
PUBLIC MFORM::~MFORM (void);
PRIVATE void MFORM::init (void);
PUBLIC MFORM::MFORM (FORMBASE *_parent, const char *_id);
PROTECTED MFORM::MFORM (const char *_id);
PUBLIC void MFORM::reset (void);
PRIVATE MFORM_C *MFORM::getlastc (void);
PUBLIC void MFORM::record_draw (int command,
	 int arg0,
	 int arg1,
	 int arg2,
	 int arg3,
	 int arg4,
	 int arg5,
	 int arg6,
	 int arg7);
PUBLIC void MFORM::record_draw (int command,
	 int arg0,
	 int arg1,
	 int arg2,
	 int arg3,
	 int arg4,
	 int arg5);
PUBLIC void MFORM::record_draw (int command,
	 int arg0,
	 int arg1,
	 int arg2,
	 int arg3);
PUBLIC void MFORM::record_draw (int command,
	 int arg0,
	 int arg1,
	 const char *s);
PUBLIC void MFORM::record_draw (int command, int tb[], int nbarg);
PUBLIC void MFORM::blit (int from_x0,
	 int from_y0,
	 int from_x1,
	 int from_y1,
	 int to_x,
	 int to_y);
PUBLIC void MFORM::drawclip (int x0, int y0, int x1, int y1);
PUBLIC VIRTUAL void MFORM::Newline (void);
PUBLIC void MFORM::Dispolast (char h_align,
	 int h_cells,
	 char v_align,
	 int v_cells);
PUBLIC void MFORM::Setweightlast (int wx, int wy);
PUBLIC VIRTUAL void MFORM::New_label (const char *str);
PUBLIC VIRTUAL void MFORM::New_richtext (const char *str);
PUBLIC VIRTUAL wxText *MFORM::New_string (const char *_id,
	 int len,
	 const char *initval);
PUBLIC VIRTUAL wxText *MFORM::New_password (const char *_id, int);
PUBLIC VIRTUAL wxText *MFORM::New_string (int len,
	 const char *initval);
PUBLIC VIRTUAL wxMultiText *MFORM::New_text (const char *_id,
	 int cols,
	 int rows);
PUBLIC VIRTUAL wxSlider *MFORM::New_slider (const char *_id,
	 int width,
	 int minval,
	 int maxval,
	 int val);
PUBLIC VIRTUAL wxGauge *MFORM::New_gauge (const char *_id,
	 int width,
	 int range,
	 int val);
PUBLIC VIRTUAL void MFORM::Skip (int n);
PUBLIC VIRTUAL void MFORM::Fill (void);
PUBLIC VIRTUAL void MFORM::New_hline (const char *s);
PUBLIC VIRTUAL void MFORM::New_hline (void);
PUBLIC VIRTUAL void MFORM::New_vline (void);
PUBLIC void FORMBASE::report_button (const char *button_id,
	 bool dodump,
	 wxMouseEvent *event,
	 const char *extra);
PUBLIC MFORM_BUTTON::MFORM_BUTTON (MFORM *_parent,
	 const char *str,
	 bool _dodump);
PUBLIC MFORM_BUTTON::MFORM_BUTTON (MFORM *_parent, wxBitmap *bitmap);
PUBLIC VIRTUAL wxButton *MFORM::New_button (const char *_id,
	 bool dodump,
	 const char *str);
PUBLIC VIRTUAL void MFORM::New_buttonfill (const char *_id,
	 const char *str,
	 int options,
	 DCNAME *dc);
PUBLIC VIRTUAL wxButton *MFORM::New_button (const char *_id,
	 wxBitmap *bitmap);
PUBLIC VIRTUAL void MFORM::New_icon_xpm (wxBitmap *bitmap);
PUBLIC VIRTUAL wxButton *MFORM::New_button (const char *str);
PUBLIC void MFORM::Inputgrid (const char *id,
	 int x,
	 int y,
	 int cellwidth,
	 int cellheight,
	 int nbcellh,
	 int nbcellv);
PUBLIC VIRTUAL COMBO *MFORM::New_choice (const char *_id,
	 const char *val);
PUBLIC VIRTUAL void MFORM::New_choice_item (const char *_id,
	 int no,
	 const char *val1,
	 const char *val2);
PUBLIC VIRTUAL wxListBox *MFORM::New_list (const char *_id,
	 int ,
	 const char *val);
PUBLIC VIRTUAL void MFORM::New_list_item (const char *_id,
	 const char *val);
PUBLIC VIRTUAL CLIST *MFORM::New_clist (const char *_listid,
	 int nbcol,
	 const char *cols[]);
PUBLIC VIRTUAL void MFORM::New_clist_item (const char *_listid,
	 const char *_itemid,
	 const char *vals[]);
PUBLIC VIRTUAL SHEET *MFORM::New_sheet (const char *_sheetid,
	 int nbcol,
	 const char *cols[]);
PUBLIC VIRTUAL void MFORM::New_sheet_item (const char *_sheetid,
	 int row,
	 int column,
	 const char *val);
PUBLIC VIRTUAL COMBO *MFORM::New_combo (const char *_id,
	 int len,
	 const char *val);
PUBLIC VIRTUAL void MFORM::New_combo_item (const char *_id,
	 int no,
	 const char *val1,
	 const char *val2);
PUBLIC VIRTUAL void MFORM::New_form (FORMBASE *sub);
PUBLIC VIRTUAL void MFORM::New_book (FORMBASE *sub);
PUBLIC VIRTUAL MFORM *MFORM::New_form (const char *_id);
PUBLIC VIRTUAL FORMBUTTON *MFORM::New_formbutton (const char *_id);
PUBLIC VIRTUAL FORMBUTTON *MFORM::New_formbutton (void);
PUBLIC VIRTUAL wxCheckBox *MFORM::New_checkbox (const char *_id,
	 bool state,
	 const char *str);
PUBLIC CHECKBOX_RADIO::CHECKBOX_RADIO (int _instance, bool _state);
PUBLIC void MFORM::New_radio (const char *_id,
	 int instance,
	 bool state,
	 const char *str);
PUBLIC MFORM_C *MFORM::getitem (int n)const;
PUBLIC void MFORM::New_component (wxWindow *comp);
PUBLIC void MFORM::setsidetitle (const char *s);
PROTECTED void FORMBASE::drawbutfill (int nobut,
	 wxPen *pentop,
	 wxPen *penbot,
	 bool clear,
	 bool anim);
PUBLIC void FORMBASE::drawitems (int start, int end, bool clear);
PUBLIC VIRTUAL void MFORM::do_drawing (void);
PUBLIC VIRTUAL void MFORM::OnPaint (void);
PUBLIC int MFORM::locate_click (wxMouseEvent&event, int type);
PUBLIC int MFORM::locate_butfill (wxMouseEvent&event);
PUBLIC void MFORM::animatebut (int it, bool down);
PUBLIC MFORM_TIMER::MFORM_TIMER (MFORM *_target, int _but);
PRIVATE void MFORM_TIMER::Notify (void);
PUBLIC void MFORM::OnEvent (wxMouseEvent&event);
PUBLIC void MFORM::OnChar (wxKeyEvent&);
PROTECTED Bool MFORM::OnCharHook (wxKeyEvent&event);
PRIVATE void MFORM::distribute (int start,
	 int end,
	 int nbfill,
	 int diffx);
PUBLIC void MFORM::stretch (int new_width, int);
PUBLIC void MFORM::resizeitems (int diffx, int diffy);
PUBLIC void MFORM::getweight (int &w, int &h);
/* protowx.cc 13/03/2001 16.28.48 */
/* remadmin.cc 30/08/2001 23.39.54 */
PUBLIC ICON_XPM::ICON_XPM (char **tbstr,
	 int nbstr,
	 const char *_name);
PUBLIC void ICON_XPM::donothing (void);
PUBLIC MFORMSCRIPT::MFORMSCRIPT (bool _must_exit);
PUBLIC void MFORMSCRIPT::run (void);
PUBLIC MAINFORM *MFORMSCRIPT::locate (const char *f);
PUBLIC void MFORMSCRIPT::setcursor (wxCursor *cur);
PUBLIC SETVAL_INFO::SETVAL_INFO (void);
PUBLIC void SETVAL_INFO::initbuf (void);
PUBLIC void SETVAL_INFO::freebuf (void);
PUBLIC void SETVAL_INFO::append (const char *s);
PUBLIC MFORMSCRIPT_CTX::MFORMSCRIPT_CTX (void);
PRIVATE void MFORMSCRIPT_CTX::newlevel (void);
PUBLIC void MFORMSCRIPT_CTX::newlevel (MFORM *fl, BOOK *bk);
PUBLIC void MFORMSCRIPT_CTX::newlevel (MFORM *fl);
PUBLIC void MFORMSCRIPT_CTX::newlevel (BOOK *bk);
PUBLIC void MFORMSCRIPT_CTX::newlevel (wxMenu *mn);
PUBLIC void MFORMSCRIPT_CTX::newlevel (wxMenuBar *bar);
PUBLIC void MFORMSCRIPT_CTX::poplevel (void);
PRIVATE int MFORMSCRIPT::setcontext (MFORMSCRIPT_CTX&ctx,
	 const char *id);
PRIVATE bool MFORMSCRIPT::oneline (char *buf, MFORMSCRIPT_CTX&ctx);
PRIVATE bool MFORMSCRIPT::processbuf (bool firstmain);
PUBLIC void MFORMSCRIPT::readfromstdin (void);
PUBLIC void MFORMSCRIPT::readone (void);
Bool MyApp::OnCharHook (wxKeyEvent&);
wxFrame *MyApp::OnInit (void);
/* richtext.cc 21/10/1997 22.55.30 */
PRIVATE void FORMBASE::richtext_draweval (const char *s);
PUBLIC void FORMBASE::richtext_draw (const char *s, int x, int y);
PUBLIC void FORMBASE::richtext_extent (const char *s,
	 int &sw,
	 int &sh);
/* sheet.cc 12/09/1998 02.31.58 */
PUBLIC SHEET::SHEET (FORMBASE *_parent,
	 const char *_id,
	 int _nbcol,
	 const char *_cols[]);
PUBLIC SHEET::~SHEET (void);
PUBLIC void SHEET::New_item (int row, int column, const char *val);
PUBLIC void SHEET::drawhead (void);
PUBLIC void SHEET::OnPaint (void);
PUBLIC void SHEET::dump (void);
/* str1.cc 21/10/1997 22.40.26 */
/* str.cc 21/10/1997 02.43.54 */
/* textarea.cc 04/02/2001 13.59.40 */
PUBLIC TEXTAREA::TEXTAREA (FORMBASE *_parent, int cols, int rows);
PROTECTED void TEXTAREA::OnChar (wxKeyEvent&event);
/* tree.cc 04/02/2001 14.40.04 */
PUBLIC TREEMENU::TREEMENU (FORMBASE *_parent, const char *_id);
PUBLIC void TREEMENU::setscroll (int newpos);
PROTECTED Bool TREEMENU::OnCharHook (wxKeyEvent&event);
PRIVATE int TREEMENU::getskipy (void);
PRIVATE int TREEMENU::getviewlength (void);
PRIVATE void TREEMENU::dispose (int total_width, int total_height);
PUBLIC void TREEMENU::dolayout (int , int);
PUBLIC void TREEMENU::resizeitems (int diffx, int diffy);
PUBLIC void TREEMENU::getweight (int &w, int &h);
PUBLIC TREEMENU::~TREEMENU (void);
PRIVATE void TREEMENU::alloc (void);
PUBLIC void TREEMENU::addelm (wxBitmap *icon, const char *title);
PUBLIC void TREEMENU::addsub (bool isopen,
	 wxBitmap *icon,
	 const char *title);
PUBLIC void TREEMENU::endsub (void);
PRIVATE int TREEMENU::setup (void);
PRIVATE void TREEMENU::drawone (int no, int y, bool highlit);
PRIVATE void TREEMENU::draw (int no, bool highlit);
PUBLIC void TREEMENU::OnPaint (void);
PRIVATE void TREEMENU::refresh (void);
PUBLIC void TREEMENU::OnEvent (wxMouseEvent&event);
PUBLIC void TREEMENU::dump (void);
PUBLIC void TREEMENU::stretch (int new_width, int new_height);
