#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <translat.h>
#include "shellmod.h"

int perm_getuid()
{
	return getuid();
}

int main(int argc, char *argv[])
{
	linuxconf_loadlibmsg("/usr/lib/linuxconf");
	linuxconf_loadmsg ("shellmod",PACKAGE_REV);
	argc = dialog_parseuioptions(argc,argv);
	translat_checkmissing();
	if (argc == 3 && strcmp("--setmod", argv[1])==0) {
		modules_setmod(argv[2],0);
	} else if (argc == 3 && strcmp("--unsetmod", argv[1])==0) {
		modules_unsetmod(argv[2]);
	} else {
		printf("Usage: shellmod-control [--setmod | --unsetmod] <path>\n");
	}
	return 0;
}
