/* array.cc 21/08/2001 13.21.34 */
/* arraykey.cc 12/12/1999 22.30.32 */
void arraykey_required (void);
/* confdb.cc 24/11/2000 00.01.46 */
/* configf.cc 03/05/2001 11.20.22 */
void configf_required (void);
void configf_forgetpath (void);
void configf_readlookup (void);
EXPORT const char *configf_lookuppath (const char *key);
EXPORT const char *configf_lookup (const char *prefix, const char *key);
EXPORT void configf_mapowner (const char *generic_user,
	 const char *generic_group,
	 char user[100],
	 char group[100]);
EXPORT void configf_mapowner (const char *generic_user,
	 const char *generic_group,
	 const char *generic_perm,
	 char user[100],
	 char group[100],
	 char perm[100]);
void configf_sendexist (SSTREAM&ss, bool do_exist);
int file_type (const char *path, bool follow);
int file_type (const char *path);
int file_rtype (const char *path);
bool file_exist (const char *path);
long file_date (const char *path);
int file_create (const char *path,
	 const char *owner,
	 const char *group,
	 int perm);
void configf_show (void);
void configf_list (void);
int configf_getsubsyslist (SSTRINGS&tb);
int configf_getsubsysmembers (const char *subsys, SSTRINGS&tb);
void configf_booterase (void);
int configf_archive (const SSTRINGS&tb,
	 const char *command,
	 const char *arg,
	 SSTREAM&ssout,
	 bool verbose);
int configf_extract (const SSTRINGS&tb,
	 const char *command,
	 const char *arg);
int configf_md5sum (const SSTRINGS&tb, SSTREAM&ss);
CONFIG_FILE *configf_locate (const char *path);
/* context.cc 18/09/2000 17.52.44 */
bool context_isroot (void);
void context_setabspath (const char *path, char abspath[]);
int context_mkdir (const char *dir,
	 const char *user,
	 const char *group,
	 int perm);
int context_mkdirp (const char *dir,
	 const char *user,
	 const char *group,
	 int perm);
int context_create (const char *path,
	 const char *user,
	 const char *group,
	 int perm);
bool context_fexist (const char *path);
/* context_lock.cc 06/04/2001 23.04.18 */
void context_lock_required (void);
/* _dict.cc 14/08/1996 14.39.06 */
/* dictionary.cc 30/07/2001 17.02.06 */
/* dir.cc 02/10/1998 01.20.08 */
int dir_getlist (const char *path, SSTRINGS&lst);
int dir_getlist (const char *path, const char *ext, SSTRINGS&lst);
int dir_getlist_p (const char *fpath, SSTRINGS&lst);
/* error.cc 02/03/2001 12.28.04 */
void error_setmode (bool batch);
void xconf_error (const char *msg, ...);
void xconf_notice (const char *msg, ...);
/* fgets1.cc 13/12/1996 23.39.36 */
char *fgets_strip (char *buf,
	 int sizebuf,
	 FILE *fin,
	 char contcar,
	 char comcar,
	 int *noline,
	 int *empty);
/* fgets.cc 31/03/2001 15.25.52 */
char *fgets_strip (char *buf,
	 int sizebuf,
	 FILE *fin,
	 char contcar,
	 char comcar,
	 int *noline);
char *fgets_strip (char *buf, int sizebuf, FILE *fin, int *noline);
int fgets_cont (char *buf, int size, FILE *fin, bool cont);
int fgets_cont (char *buf, int size, FILE *fin);
const char *fgets_comments (char buf[],
	 int size,
	 FILE *fin,
	 SSTRING&comments,
	 char comchar);
const char *fgets_comments (char buf[],
	 int size,
	 FILE *fin,
	 SSTRING&comments);
void comment_write (const SSTRING&str, FILE *fout, char comchar);
void comment_write (const SSTRING&str, FILE *fout);
char *fgets_long (char *&line, int &len, FILE *fin);
/* file.cc 03/05/2001 11.18.06 */
int file_mkdir (const char *dir,
	 int uid,
	 int gid,
	 int mode,
	 const char *src);
int file_mkdir (const char *dir,
	 const char *user,
	 const char *group,
	 int perm);
int file_mkdirp (const char *dir, int uid, int gid, int mode);
int file_mkdirp (const char *dir,
	 const char *user,
	 const char *group,
	 int perm);
int file_mkdirp (const char *dir,
	 const char *user,
	 const char *group,
	 const char *perm);
int file_copy (const char *src, const char *dst);
int file_copytree (const char *src,
	 const char *dst,
	 int uid,
	 int gid,
	 int mode);
int file_followlink (const char *fpath, char *realpath);
/* filecfg.cc 31/03/2001 15.27.24 */
void filecfg_setrelink (FILE_CFG *c);
FILE_CFG *filecfg_new (FILE *f, const CONFIG_FILE *cf);
int fclose (FILE_CFG *fout);
int fputs (const char *s, FILE_CFG *fout);
int fputc (char c, FILE_CFG *fout);
char *fgets (char *s, int size, FILE_CFG *fout);
int fprintf (FILE_CFG *fout, const char *ctl, ...);
int fwrite (const void *ptr, size_t size, size_t n, FILE_CFG *fout);
int fread (void *ptr, size_t size, size_t n, FILE_CFG *fout);
void comment_write (const SSTRING&str, FILE_CFG *fout, char comchar);
void comment_write (const SSTRING&str, FILE_CFG *fout);
const char *fgets_comments (char buf[],
	 int size,
	 FILE_CFG *fin,
	 SSTRING&comments,
	 char comchar);
const char *fgets_comments (char buf[],
	 int size,
	 FILE_CFG *fin,
	 SSTRING&comments);
char *fgets_strip (char *buf,
	 int sizebuf,
	 FILE_CFG *fin,
	 char contcar,
	 char comcar,
	 int *noline);
char *fgets_strip (char *buf,
	 int sizebuf,
	 FILE_CFG *fin,
	 int *noline);
int fgets_cont (char *buf, int size, FILE_CFG *fin, bool cont);
int fgets_cont (char *buf, int size, FILE_CFG *fin);
char *fgets_long (char *&line, int &len, FILE_CFG *fin);
int fflush (FILE_CFG *fout);
int fscanf (FILE_CFG *fin, const char *ctl, ...);
void rewind (FILE_CFG *f);
long ftell (FILE_CFG *f);
int fseek (FILE_CFG *f, long offset, int whence);
FILE_CFG *fopen_cfg (const char *fname, const char *mode);
int feof (FILE_CFG *f);
int fgetc (FILE_CFG *f);
int fputc (int c, FILE_CFG *f);
int fileno (FILE_CFG *f);
/* fopen1.cc 30/07/1998 02.03.12 */
void xconf_fopencfg_bypass (bool _bypass);
FILE *xconf_fopencfg (PRIVILEGE *priv,
	 const char *fname,
	 const char *mode);
/* fopen.cc 22/12/1997 00.37.36 */
FILE *xconf_fopen (const char *fname, const char *mode);
/* fviews.cc 29/12/2000 17.33.18 */
void fviews_required (void);
/* helpf.cc 01/09/2000 00.19.10 */
void help_setlang (const char *_lang, const char *envvar);
void helpf_checkall (void);
/* ipnum.cc 31/03/2001 22.00.00 */
void ipnum_ip2a (struct hostent *ent, char *buf);
void ipnum_ip2a (struct hostent *ent, SSTRING&ip);
void ipnum_ip2a (unsigned long ip, char *buf);
void ipnum_ip2a (struct netent *ent, char *buf);
void ipnum_ip2a (struct netent *ent, SSTRING&ip);
int ipnum_aip24 (const char *aip, int num4[4]);
unsigned long ipnum_aip2l (const char *aip);
bool ipnum_validip (const char *aip, bool ishost);
const char *ipnum_getdefaultmask (const char *aip);
bool ipnum_validip (const char *aip, const char *netmask, bool ishost);
bool ipnum_validnet (const char *ip, const char *mask);
bool ipnum_validmask (const char *mask);
/* ipstuff.cc 07/04/1999 02.43.14 */
/* libmodules.cc 03/12/2000 01.04.52 */
void libmodules_required (void);
/* linuxconf.cc 04/12/2000 14.04.10 */
void linuxconf_sethook (CONFDB * (*fct)(CONFDB *));
void linuxconf_setdbpath (const char *path);
CONFDB *linuxconf_getdb (void);
const char *linuxconf_getval (const char *prefix, const char *key);
const char *linuxconf_getval (const char *prefix,
	 const char *key,
	 const char *defval);
int linuxconf_getvalnum (const char *prefix,
	 const char *key,
	 int defval);
int linuxconf_getall (const char *prefix,
	 const char *key,
	 SSTRINGS&lst,
	 bool copy);
void linuxconf_removeall (const char *prefix, const char *key);
void linuxconf_forget (void);
int linuxconf_save (PRIVILEGE *priv);
int linuxconf_save (void);
void linuxconf_setcursys (const char *sys);
int linuxconf_archive (const char *subsys);
int linuxconf_md5sum (const char *subsys, SSTREAM&ss);
int linuxconf_extract (const char *subsys);
void linuxconf_add (const char *prefix,
	 const char *key,
	 const char *val);
void linuxconf_add (const char *prefix,
	 const char *key,
	 const SSTRING&val);
void linuxconf_add (const char *prefix, const char *key, int val);
void linuxconf_replace (const char *prefix,
	 const char *key,
	 const char *val);
void linuxconf_replace (const char *prefix, const char *key, char val);
void linuxconf_replace (const char *prefix, const char *key, int val);
void linuxconf_replace (const char *prefix, const char *key, bool val);
void linuxconf_replace (const char *prefix, const char *key, long val);
void linuxconf_replace (const char *prefix,
	 const char *key,
	 const SSTRING&val);
void linuxconf_replace (const char *prefix,
	 const char *key,
	 const SSTRINGS&vals);
const char *linuxconf_getdistdir (void);
void linuxconf_fixdistdir (const char *templat, char *path);
int linuxconf_reloadif (void);
const char *linuxconf_getlangmanual (void);
const char *linuxconf_getlang (void);
void linuxconf_setlang (const char *lang);
bool linuxconf_getlangmode (void);
void linuxconf_setlangmode (bool mode);
bool linuxconf_getguimode (void);
void linuxconf_setguimode (bool mode);
bool linuxconf_getcolormode (void);
void linuxconf_setcolormode (bool mode);
int linuxconf_getprefixtrig (void);
void linuxconf_setprefixtrig (int trig);
void linuxconf_loadmsg (const char *prefix, const char *rev);
void linuxconf_loadlibmsg (const char *pkgdir);
int distrib_getvalnum (const char *key, int defval);
const char *distrib_getval (const char *key);
void distrib_replace (const char *key, const char *val);
bool distrib_isenhanced (void);
const char *distrib_getrelease (void);
/* malloc.cc 11/11/2000 11.41.16 */
void *malloc_err (int size);
char *strdup_err (const char *str);
/* misc.cc 03/04/2001 19.54.12 */
void misc_required (void);
/* module_api.cc 10/09/2000 22.45.28 */
void module_api_required (void);
void module_register_api (const char *apiname,
	 int version,
	 void * (*fctget)(),
	 void (*fctrelease)(void *));
int module_get_apis (const char *apiname,
	 int version,
	 const char *client,
	 void *tbapi[MAX_API_PROVIDERS]);
void module_release_apis (const char *apiname,
	 void *tbapi[],
	 int nbapi);
void *module_get_api (const char *apiname,
	 int version,
	 const char *client);
void module_release_api (const char *apiname, void *api);
bool module_api_available (const char *apiname,
	 int version,
	 const char *client);
/* module.cc 28/06/2001 14.11.50 */
void module_setmenu (DIALOG&dia, MENU_CONTEXT context);
void module_setmenu (DIALOG&dia, const char *menuid);
int module_probe (int state, int target);
int module_hint (const char *module);
int module_domenu (MENU_CONTEXT context, const char *key);
int module_domenu (const char *menuid, const char *key);
int module_fixperm (bool boottime, bool silentflag);
int module_execmain (int argc, char *argv[], bool standalone);
int module_dohtml (const char *key);
int module_sendmessage (const char *msg,
	 int argc,
	 const char *argv[]);
void module_usage (SSTRINGS&tb);
int module_locate (const char *basepath, char *realpath);
void module_config (void);
void module_loadcheck (const char *path);
const SSTRINGS *module_getlist (void);
void module_load (void);
void module_loaddistmod (void);
void module_setone (const char *path, bool force, bool enabled);
void module_setone (const char *path);
void module_unsetone (const char *path);
bool module_is_enabled (const char *path);
int module_requestpkg (const char *logical_name);
/* popen.cc 22/05/2001 00.44.08 */
void popen_initsignal (void);
int popen_getloginuid (void);
/* samples.cc 06/04/2001 22.46.22 */
/* sstream.cc 26/11/2000 22.48.04 */
/* sstring.cc 22/04/2001 23.38.48 */
/* sstrings.cc 06/09/2001 22.51.54 */
/* str1.cc 12/11/1997 02.59.48 */
int str_strip (const char *str, char *newstr);
char *strip_end (char *str);
char *str_skip (const char *str);
char *str_skipdig (const char *str);
int str_checkdig (const char *str);
int str_splitline (const char *line,
	 char delim,
	 char words[][100],
	 int maxwords);
/* str3.cc 12/12/1999 22.09.10 */
void str3_required (void);
char *str_copyquotec (char *dest,
	 const char *str,
	 char escape,
	 bool compile);
char *str_copyquote (char *dest, const char *str);
/* str6.cc 29/11/1997 13.38.50 */
void str6_required (void);
int str_exptab (const char *src, int step, char *dst);
/* str.cc 28/08/2000 20.49.44 */
char *str_copyword (char *dest, const char *str);
char *str_copyword (char *dest, const char *str, int size);
int str_isword (const char *str, const char *word);
void strcpy_cut (char *dst, const char *src, int size);
char *str_skipword (const char *str);
char *str_copyword (SSTRING&dest, const char *str);
void tbstr_free (char *tb[], int nb);
int stricmp (const char *str1, const char *str2);
void strupr (char *str);
const char *str_extract (const char *buf, SSTRING&s);
int str_splitline (const char *line, char delim, SSTRINGS&words);
/* stub.cc 10/03/2001 15.07.54 */
void html_access_log (int , const char *);
int html_access_check (int);
void perm_setaccess (const char *, const char *);
int fixperm_readperm (char const *,
	 class PERMINFO&pinfo,
	 char const *user,
	 char const *group,
	 int perm,
	 bool);
int perm_rootaccess (char const *, ...);
int perm_access (class PRIVILEGE *, char const *, ...);
int process_findchild (int);
void boot_showlog (class CONFIG_FILE&,
	 char const **,
	 char const *,
	 char const *,
	 class HELP_FILE&);
void net_prtlog (int , char const *, ...);
void net_introlog (int);
const char *daemon_findpath (char const *command);
void button_text2png (const char *, FILE *);
void module_setmenu (class DIALOG&, MENU_CONTEXT);
int module_sendmessage (const char *msg,
	 int argc,
	 const char *argv[]);
/* subsys.cc 27/11/2000 22.06.14 */
int subsys_getallsubsys (SSTRINGS&tb);
int subsys_getallsubsys (SSTRINGS&tb, SSTRINGS&titles);
const char *confver_getcur (void);
void confver_setcur (const char *newcur);
const char *confver_getfamily (const char *subsys);
bool confver_getmode (void);
void confver_edit (void);
int confver_selectprofile (const char *newver_name);
void confver_selnewver (void);
int subsys_archive (void);
int subsys_archive (int nb, const char *tb[]);
int subsys_extract (void);
int subsys_extract (int nb, const char *tb[]);
int subsys_md5sum (int nb, const char *tb[]);
int subsys_diff (int nb, const char *tb[]);
int subsys_history (int nb, const char *tb[]);
/* timestr.cc 02/03/2001 16.19.22 */
/* uname.cc 05/02/1999 00.45.54 */
int kernel_version (int v[3]);
bool kernel_newer (int v0, int v1, int v2);
long sys_uptime (void);
/* virtdb.cc 23/09/1997 01.14.20 */
int virtdb_main (int argc, char *argv[]);
/* xconf1.cc 30/06/2000 23.07.54 */
MENU_STATUS xconf_yesno (const char *title,
	 const char *prompt,
	 HELP_FILE&helpfile);
int xconf_quitwosave (void);
int xconf_areyousure (const char *msg);
int xconf_delok (void);
