
#ifndef DOTCONFIG_DEFINITIONS

#include "printer_common_data.h"

struct t_dc_var {
    /* smb-only */
    char share[TYPICAL_STRING_SIZE];
    char hostip[TYPICAL_STRING_SIZE];
    char workgroup[TYPICAL_STRING_SIZE];
    /* ncp-only */
    char server[TYPICAL_STRING_SIZE];
    char queue[TYPICAL_STRING_SIZE];
    /* ncp and smb */
    char user[TYPICAL_STRING_SIZE];
    char password[TYPICAL_STRING_SIZE];
    /* smb-only but derivated from dc_share */
    char hostname[TYPICAL_STRING_SIZE];
    char printername[TYPICAL_STRING_SIZE];
};

extern struct t_dc_var dc_var;

void clean_apost_from_string(char *given_string);
int save_dotconfig_data(char *given_filename);
int load_dotconfig_data(char *given_filename);

#define DOTCONFIG_DEFINITIONS
#endif
