/* bootp.cc 25/04/1998 11.04.40 */
int bootp_probe (INTER_INFO&itf);
int dhcp_probe (INTER_INFO&itf);
/* bootrc.cc 07/08/2000 00.04.58 */
int bootrc_do (const char *dirpath, const char *prevpath, bool booting);
/* calcmask.cc 26/07/1997 14.08.38 */
/* command.cc 07/06/2000 09.56.14 */
/* daemon1.cc 05/03/2001 11.02.56 */
EXPORT void daemon_register (DAEMON_INTERNAL *dae,
	 const char *name,
	 const char *buf);
void daemon_register (const char *name, const char *buf);
EXPORT DAEMON_INTERNAL *daemon_find (const char *name);
const char *daemon_findpath (const char *command);
void daemon_config (void);
int daemon_configone (const char *name);
/* daemon.cc 22/11/2000 17.44.32 */
int file_empty (const char *fpath);
void daemon_setsession (char mode);
int daemon_wasconfig (void);
int netconf_system (int timeout,
	 const char *cmd,
	 int *grabin,
	 int *grabout,
	 int *graberr);
void netconf_readpipe (int msglevel,
	 int fd,
	 const char *name,
	 bool&title_done);
EXPORT int netconf_system (int timeout, const char *cmd);
void netconf_getlastmsgs (void);
void netconf_closepipes (void);
void daemon_loadrestartdb (void);
void daemon_setrestarttime (const char *process_name);
void daemon_saverestartdb (void);
/* daemoni.cc 16/12/2000 11.25.58 */
EXPORT int netconf_system_if (const char *name,
	 const char *args,
	 int timeout);
EXPORT int netconf_system_if (const char *name, const char *args);
/* daemons.cc 29/08/2001 13.57.14 */
DAEMON_INTERNAL *daemon_new (int managed,
	 const char *name,
	 const char *buf,
	 DAEMON_INTERNAL *next);
/* datetime.cc 25/07/2000 02.25.36 */
int datetime_getfromnet (void);
int datetime_getfromcmos (void);
int datetime_edit (void);
void datetime_setmode (const char *mode);
/* devices.cc 07/05/2001 17.10.52 */
int netconf_setloopback (void);
void device_setstdnetmask (const char *hostip, char *def_msk);
int device_insmod (const char *devname);
int netconf_setdevices (const char *dev, SSTRINGS&reconf);
int netconf_finddevfromnet (const char *network,
	 const char *netmask,
	 char *dev);
int netconf_finddevfromhost (const char *hostip, char *dev);
void netconf_computemsk (const char ip[], char msk[]);
int netconf_convert (const char *str, char ip[], char msk[]);
/* devlist.cc 24/11/2000 00.01.46 */
int devlist_read (SSTRINGS&list,
	 bool include_normal,
	 bool include_aliases);
int devlist_read (SSTRINGS&list);
bool devlist_devexist (const char *devname);
void devlist_setcombo (FIELD_COMBO *comb);
/* _dict.cc 14/08/1996 16.18.06 */
/* dnsping.cc 07/06/2000 09.56.34 */
int dns_ping (void);
long dns_getserial (const char *domain,
	 const char *server,
	 int timeout);
/* dropin.cc 12/01/2001 10.37.24 */
int dropin_activate (int netlevel, const char *last_pkg, BOOTRCS&rcs);
int dropin_deactivate (int netlevel);
int dropin_doboot (void);
int dropin_editlocal (void);
int dropin_editorig (void);
void dropin_activate_new (void);
void dropin_reenable (void);
int dropin_getservtb (SERVICES&tb);
int dropin_setservtb (SERVICES&tb);
int dropin_savestate (void);
void dropin_addbootequiv (BOOTRCS&rcs);
void dropin_module_load (void);
/* groutes.cc 21/08/2000 14.49.42 */
void groutes_sethook (int (*_fct_load)(ROUTES&rt),
	 int (*_fct_save)(SSTRING&defroute, ROUTES&rt));
void groutes_setrouting (void);
void netconf_editroutes (void);
void groutes_setgateway (const char *ip, bool verbose);
/* helpf.cc 10/02/1998 10.50.16 */
/* host.cc 13/09/2001 15.58.58 */
char *menu_setupopt (char *dst, const char *menu, const char *curval);
void host_setmasklist (FIELD_COMBO *comb);
void netconf_saveinfo (INTER_INFO&itf,
	 HOSTS&hosts,
	 NETWORKS&networks,
	 const char *forcealias,
	 const char *netname,
	 const char *mskname,
	 const char *bcastname);
int host_cmp_inter (const void *p1, const void *p2);
int netconf_saveinfos (HOSTS&hosts,
	 NETWORKS&networks,
	 HOSTINFO&info);
void netconf_edithost (void);
/* hostinfo.cc 24/11/2000 00.01.46 */
void hostinfo_setnames (DEVICE_NAME_INFO&nm, int nodev);
void hostinfo_sethook (int (*fload)(HOSTS&, HOSTINFO&),
	 int (*fsave)(HOSTS&, HOSTINFO&));
void hostinfo_saveinfo (INTER_INFO&itf, int nodev);
int netconf_loadinfos (HOSTS&hosts,
	 NETWORKS&networks,
	 HOSTINFO&info);
int netconf_loadinfos (HOSTINFO&info);
bool hostinfo_saveindist (HOSTS&hosts, HOSTINFO&info);
void hostinfo_savehostname (HOSTINFO&info);
void hostinfo_savefeatures (HOSTINFO&info, int nodev);
void host_setdevdef (int nodev,
	 const char *name,
	 const char *ip,
	 const char *netmask,
	 const char *device);
/* hosts.cc 29/08/2001 17.17.54 */
void *operator new (size_t size);
char *replaceif (char *last, const char *newval);
int host_lookupother (const char *others, const char *name);
void netconf_edithosts (void);
void netconf_editnet (void);
/* html_access.cc 23/01/2001 00.05.58 */
void html_access_edit (void);
int html_access_check (int fd);
void html_access_log (int fd, const char *msg);
/* ifconfig.cc 07/05/2001 16.58.36 */
int ifconfig_getinfo_nocheck (const char *ifname, IFCONFIG_INFO&info);
EXPORT int ifconfig_getinfo (const char *ifname, IFCONFIG_INFO&info);
/* internal.cc 03/10/1995 01.09.14 */
/* ipalias.cc 19/06/2001 18.10.44 */
void ipalias_sethook (int (*fct_load)(const char *devname, SSTRINGS&, SSTRINGS
	&),
	 int (*fct_save)(const char *devname, const SSTRINGS&, const SSTRINGS&
	));
int ipalias_setup (const char *devname);
int ipalias_setup (void);
void alias_edit (void);
/* ipx.cc 18/09/2000 17.52.44 */
void ipx_saveinter (IPX_INTER_INFO&itf, int nodev);
void ipx_loadinter (IPX_INTER_INFO&itf, int nodev);
void ipx_edit (void);
int ipx_set (const char *dev, SSTRINGS&reconf);
/* level.cc 07/08/2000 00.13.02 */
void netconf_setnetlevel (int level);
int netconf_getnetlevel (void);
/* net.cc 26/04/2001 12.08.40 */
int net_isipnum (const char *str);
int net_setshowmode (int mode);
EXPORT void net_resetnberr (void);
EXPORT int net_getnberr (void);
int net_getlogmask (void);
int net_setlogmask (int mask);
EXPORT void net_hint (const char *var, const char *value, ...);
void net_enableprinthint (bool mode);
bool net_washints (void);
void net_printhint (const char *str, ...);
void net_prtlog (const char *ctl, ...);
EXPORT void net_prtlog (int level, const char *ctl, ...);
EXPORT void net_introlog (int msg);
EXPORT void net_title (const char *msg);
EXPORT void net_section (const char *msg);
EXPORT void net_showlog (void);
EXPORT void net_showlastlog (void);
/* netconf.cc 29/08/2001 13.42.22 */
void netconf_update (int msg);
void netconf_update (void);
void netconf_status (void);
void netconf_edit (void);
EXPORT int netconf_checkupdate (bool showdontquit);
const char *netconf_getusage (void);
void netconf_editrunlevel (void);
EXPORT bool netconf_mainaccess (void);
EXPORT bool netconf_rootaccess (const char *msg);
EXPORT bool netconf_rootaccess (void);
int netconf_main (int argc, char *argv[]);
/* networks.cc 15/06/1998 18.55.30 */
/* process.cc 07/08/2000 00.14.38 */
void process_flushcache (void);
int process_read (void);
EXPORT PROC *process_find (const char *path,
	 const CONFIG_FILE *pidfile);
EXPORT int process_findchild (int pid);
EXPORT long process_isactive (const char *path);
/* resolv.cc 21/08/2000 14.30.46 */
void dnsconf_editresolv (void);
int resolv_updateconf (const char *domain,
	 SSTRING servers[3],
	 SSTRINGS&search,
	 bool verbose);
int dnsconf_isrslconf (void);
void dnsconf_editorder (void);
void resolv_getdomain (char *domain);
/* routed.cc 18/09/2000 17.52.44 */
void routed_edit (void);
/* routes1.cc 03/03/2000 12.48.50 */
EXPORT bool routes_validnet (const char *net, const char *mask);
/* routes.cc 07/08/2000 00.15.42 */
int route_install (const char *routedev,
	 bool dev_normal,
	 bool dev_aliases);
int route_isactive (const char *dest, char *gateway);
/* shutdown.cc 13/09/2001 15.59.14 */
EXPORT void shutdown_control (void);
/* simple.cc 07/06/2000 09.53.26 */
void simple_install (void);
/* simul.cc 25/10/2000 14.36.14 */
void simul_init (void);
void simul_init (FILE *f);
void simul_setdemoflag (int on);
void simul_sethintflag (int on);
void simul_setdisable (bool mode);
EXPORT int simul_isdemo (void);
EXPORT int simul_ishint (void);
bool simul_isdisabled (void);
EXPORT int simul_ison (void);
void simul_addmsg (const char *ctl, ...);
int simul_prompt (bool showdontquit);
/* start.cc 05/02/2001 14.53.32 */
int netconf_startstop (const char *name, const char *service, int &go);
int start_getservtb (SERVICES&tb);
void netconf_s00linuxconf (int level);
void netconf_s99linuxconf (int level);
void netconf_runlevel (int level, BOOTRCS&rcs, bool booting);
void netconf_runlevel (int level);
void service_control (void);
int netconf_hint (int argc, char *argv[]);
/* thishost1.cc 13/09/2001 15.20.46 */
bool netconf_netok (char *status, char hostname[200]);
bool netconf_netok (char *status);
int thishost1_sethostname (const char *str);
int netconf_sethostname (void);
int netconf_hostname (int argc, char *argv[]);
int netconf_dnsdomainname (int argc, char *[]);
/* thishost.cc 04/04/1998 00.19.30 */
