/* bootp.cc 25/04/1998 11.04.40 */
/* bootrc.cc 07/08/2000 00.04.58 */
PUBLIC CONFIG_SYSV::CONFIG_SYSV (const char *str, int _autoreload);
PUBLIC CONFIG_SYSV *CONFIG_SYSVS::getitem (int no)const;
PUBLIC void CONFIG_SYSVS::remove_empty (void);
PRIVATE void BOOTRC::init (const char *name, const char *equiv);
PUBLIC BOOTRC::BOOTRC (const char *name, const char *equiv);
PRIVATE void BOOTRC::parseenh (char *line);
PRIVATE void BOOTRC::parseintro (FILE *fin);
PUBLIC BOOTRC::BOOTRC (bool start_cmd,
	 const char *path,
	 const char *name,
	 const char *equiv);
PUBLIC bool BOOTRC::isenhanced (void);
PUBLIC int BOOTRC::run (bool probe);
PUBLIC void BOOTRC::stop (void);
PUBLIC BOOTRCS::BOOTRCS (bool _probe);
PUBLIC BOOTRC *BOOTRCS::getitem (int no);
PUBLIC BOOTRC *BOOTRCS::getitem (const char *name);
PUBLIC BOOTRC *BOOTRCS::getitem (bool start_cmd, const char *name);
PRIVATE void BOOTRCS::readequiv (void);
PUBLIC void BOOTRCS::readdir (const char *dirpath,
	 const char *prevpath);
PUBLIC void BOOTRCS::readall (const char *dirpath);
PUBLIC int BOOTRCS::startsome (const char *from);
PUBLIC void BOOTRCS::startrest (void);
PUBLIC void BOOTRCS::dostopcmds (void);
/* calcmask.cc 26/07/1997 14.08.38 */
/* command.cc 07/06/2000 09.56.14 */
PRIVATE void COMMAND::init (const char *line);
PUBLIC COMMAND::COMMAND (void);
PUBLIC COMMAND::COMMAND (const char *line);
PUBLIC void COMMAND::reinit (const SSTRING&line);
PUBLIC int COMMAND::checkpath (bool&config_needed);
PUBLIC int COMMAND::system (const char *cmd);
PUBLIC int COMMAND::system (void);
PUBLIC PROC *COMMAND::findprocess (void);
PUBLIC int COMMAND::signal (int signal_num,
	 const char *msg,
	 const char *sem_file);
PUBLIC int COMMAND::kill (int signal_num);
/* daemon1.cc 05/03/2001 11.02.56 */
PUBLIC int DAEMON_INTERNAL::edit (void);
/* daemon.cc 22/11/2000 17.44.32 */
PUBLIC DAEMON::DAEMON (void);
PUBLIC PIPEINFO::PIPEINFO (const char *cmd,
	 int _in,
	 int _out,
	 int _err);
PUBLIC void PIPEINFO::getlastmsg (bool dowait);
PUBLIC PIPEINFO *PIPEINFOS::getitem (int no)const;
PUBLIC VIRTUAL int DAEMON::start (void);
PUBLIC VIRTUAL int DAEMON::stop (void);
PUBLIC void DAEMON::set_restartsignal (int sig);
PUBLIC VIRTUAL int DAEMON::restart (void);
PUBLIC int DAEMON::startif_file (const char *fname);
PUBLIC int DAEMON::startif_file (const SSTRINGS&files);
PUBLIC int DAEMON::startif_file (const CONFIG_FILE&cfile);
PUBLIC VIRTUAL PROC *DAEMON::findprocess (bool&problem);
PUBLIC long DAEMON::getrestarttime (void);
PUBLIC void DAEMON::setrestarttime (void);
PUBLIC void DAEMON::delrestarttime (void);
PUBLIC const char *DAEMON::getlastargs (void);
PUBLIC void DAEMON::recordargs (const char *args);
PRIVATE int DAEMON::startif_date (long date,
	 const char *tbf[],
	 const long dates[],
	 int nbfile);
PUBLIC int DAEMON::startif_date (long date);
PUBLIC VIRTUAL int DAEMON::startif (void);
PUBLIC const char *DAEMON::getname (void);
/* daemoni.cc 16/12/2000 11.25.58 */
PUBLIC DAEMON_INTERNAL::DAEMON_INTERNAL (void);
PUBLIC void DAEMON_INTERNAL::init (int _managed,
	 const char *_name,
	 const char *buf,
	 DAEMON_INTERNAL *_next);
PUBLIC void DAEMON_INTERNAL::setargs (const char *args);
PUBLIC int DAEMON_INTERNAL::isok (void);
PUBLIC void DAEMON_INTERNAL::setpidfile (CONFIG_FILE *_pidfile);
PUBLIC DAEMON_INTERNAL *DAEMON_INTERNAL::getnext (void);
PUBLIC const char *DAEMON_INTERNAL::getpath (void);
PUBLIC void DAEMON_INTERNAL::settimeout (int nbsec);
PUBLIC int DAEMON_INTERNAL::gettimeout (void);
PUBLIC void DAEMON_INTERNAL::setspec (const char *_path,
	 const char *_args);
PUBLIC int DAEMON_INTERNAL::checkpath (void);
PUBLIC int DAEMON_INTERNAL::signal (int signal_num, const char *msg);
PUBLIC int DAEMON_INTERNAL::signal (int signal_num,
	 const char *msg,
	 const char *sem_file);
PUBLIC int DAEMON_INTERNAL::stop (void);
PUBLIC PROC *DAEMON_INTERNAL::findprocess (bool&problem);
PUBLIC int DAEMON_INTERNAL::start (void);
PUBLIC const char *DAEMON_INTERNAL::getargs (void);
PUBLIC int DAEMON_INTERNAL::is_managed (void);
PUBLIC int DAEMON_INTERNAL::is_overriden (void);
PUBLIC void DAEMON_INTERNAL::set_managed (int _managed);
PUBLIC void DAEMON_INTERNAL::set_override (int _over);
/* daemons.cc 29/08/2001 13.57.14 */
PUBLIC int DAEMON_INETD::restart (void);
PUBLIC int DAEMON_INETD::startif (void);
PUBLIC int DAEMON_AMD::stop (void);
PUBLIC int DAEMON_AMD::restart (void);
PUBLIC int DAEMON_AMD::startif (void);
PUBLIC PROC *DAEMON_GATED::findprocess (bool&problem);
PUBLIC int DAEMON_GATED::startif (void);
PUBLIC int DAEMON_GATED::restart (void);
PUBLIC int DAEMON_GATED::stop (void);
PUBLIC int DAEMON_GATED::start (void);
PRIVATE void DAEMON_ROUTED::setcmdline (ROUTED&rt, char *cmdline);
PUBLIC int DAEMON_ROUTED::start (void);
PUBLIC int DAEMON_ROUTED::startif (void);
PUBLIC int DAEMON_SYSLOGD::startif (void);
/* datetime.cc 25/07/2000 02.25.36 */
PUBLIC DATETIME::DATETIME (void);
PUBLIC void DATETIME::save (void);
PUBLIC int DATETIME::edit (void);
PUBLIC void DATETIME::updatecmos (void);
PUBLIC int DATETIME::getfromcmos (void);
PUBLIC int DATETIME::getfromnet (void);
/* devices.cc 07/05/2001 17.10.52 */
/* devlist.cc 24/11/2000 00.01.46 */
/* _dict.cc 14/08/1996 16.18.06 */
/* dnsping.cc 07/06/2000 09.56.34 */
/* dropin.cc 12/01/2001 10.37.24 */
PUBLIC RCSYSV::RCSYSV (void);
PROTECTED void RCSYSV::deletepids (void);
PUBLIC RCSYSV::~RCSYSV (void);
PUBLIC void RCSYSV::addmonitor (const char *line);
PUBLIC bool DROPIN::mayrun (void);
PUBLIC VIRTUAL int DROPIN::configure (void);
PUBLIC int DROPIN::activate_new (void);
PUBLIC const char *DROPIN::getdesc (void);
PUBLIC void RCSYSV::init_command (void);
PRIVATE void DROPIN::makekey1 (const char *key1, char *buf);
PRIVATE void DROPIN::getval (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 SSTRING&v,
	 const char *defval);
PRIVATE void DROPIN::getval (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 int &v,
	 int defval);
PRIVATE void DROPIN::getval (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 char &v,
	 int defval);
PRIVATE void DROPIN::getall (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 SSTRINGS&tb);
PUBLIC DROPIN::DROPIN (const char *_name, bool _localconf);
PUBLIC DROPIN::DROPIN (void);
PRIVATE void DROPIN::replace (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 SSTRING&v,
	 bool&differ);
PRIVATE void DROPIN::replace (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 char v,
	 bool&differ);
PRIVATE void DROPIN::replace (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 SSTRINGS&tb,
	 bool&differ);
PRIVATE void DROPIN::replace (CONFDB&conf,
	 const char *key1,
	 const char *key2,
	 CONFIG_SYSVS&tb,
	 bool&differ);
PUBLIC int DROPIN::write (void);
PROTECTED VIRTUAL int RCSYSV::getstaterun (void);
PROTECTED int DROPIN::getstaterun (void);
PROTECTED int RCSYSV::exec (COMMAND&c);
PUBLIC int RCSYSV::start (void);
PUBLIC PROC *RCSYSV::findprocess (bool&problem);
PUBLIC int RCSYSV::restart (void);
PUBLIC int RCSYSV::stop (void);
PUBLIC int RCSYSV::boot (void);
PRIVATE void RCSYSV::setrestarttime (void);
PUBLIC int RCSYSV::startif (void);
PUBLIC int DROPIN::startif (void);
PUBLIC VIRTUAL int RCSYSV::edit (const SERVICES&);
PUBLIC int DROPIN::edit (const SERVICES&tb);
PUBLIC DROPIN *DROPINS::getitem (int no);
PUBLIC DROPINS::DROPINS (bool _localconf);
PUBLIC int DROPINS::activate (int netlevel,
	 const char *last_pkg,
	 BOOTRCS&rcs);
PUBLIC int DROPINS::deactivate (int netlevel);
PUBLIC int DROPINS::doboot (void);
PUBLIC int DROPINS::edit (void);
PUBLIC int DROPINS::savestate (void);
PUBLIC void DROPINS::activate_new (void);
PUBLIC void DROPINS::reenable (void);
PUBLIC SERVICE_DROPIN::SERVICE_DROPIN (const char *_name,
	 const char *_desc,
	 int _state);
PUBLIC int SERVICE_DROPIN::control (SERVICE_OPER oper);
PUBLIC const char *SERVICE_DROPIN::getrunstatus (void);
PUBLIC const char *SERVICE_DROPIN::getconfstatus (void);
PUBLIC int SERVICE_DROPIN::edit (void);
PUBLIC int DROPINS::getservtb (SERVICES&tb);
PUBLIC int DROPINS::setservtb (SERVICES&tb);
PUBLIC DROPIN_SUBSYSS::DROPIN_SUBSYSS (void);
PUBLIC void DROPIN_SUBSYSS::alloc (int n);
PUBLIC void RCSYSV::list_config (DROPIN_SUBSYSS&subs);
/* groutes.cc 21/08/2000 14.49.42 */
PUBLIC void ROUTES::readconf (void);
/* helpf.cc 10/02/1998 10.50.16 */
PUBLIC NETCONF_HELP_FILE::NETCONF_HELP_FILE (const char *fname);
/* host.cc 13/09/2001 15.58.58 */
/* hostinfo.cc 24/11/2000 00.01.46 */
/* hosts.cc 29/08/2001 17.17.54 */
PUBLIC void HOST::set (const char *buf);
PUBLIC HOST::HOST (const char *buf);
PUBLIC HOST::HOST (const char *_ip_num,
	 const char *_name1,
	 const char *_others,
	 const char *_comment);
PUBLIC HOST::HOST (void);
PRIVATE void HOST::freeall (void);
PUBLIC VIRTUAL HOST::~HOST (void);
PUBLIC const char *HOST::getname1 (void)const;
PUBLIC void HOST::setname1 (const char *_name1);
PUBLIC int HOST::iscomment (void)const;
PUBLIC const char *HOST::getcomment (void)const;
PUBLIC void HOST::setcomment (const char *_comment);
PUBLIC const char *HOST::getothers (void)const;
PUBLIC void HOST::setothers (const char *_others);
PUBLIC const char *HOST::getipnum (void)const;
PUBLIC void HOST::setipnum (const char *_ipnum);
PUBLIC VIRTUAL void HOST::print (SSTREAM&ss)const;
PUBLIC VIRTUAL int HOST::is_special (void)const;
PUBLIC VIRTUAL int HOST::edit (HELP_FILE&helpfile);
PUBLIC bool HOST::is_stationid (void);
PUBLIC HOSTS::HOSTS (void);
PUBLIC VIRTUAL HOST *HOSTS::newhost (const char *_ip_num,
	 const char *_name1,
	 const char *_others,
	 const char *_comment);
PUBLIC VIRTUAL HOST *HOSTS::newhost (const char *buf);
PUBLIC VIRTUAL void HOSTS::add (const char *buf);
PUBLIC VIRTUAL void HOSTS::add (const char *_ip_num,
	 const char *_name1,
	 const char *_others,
	 const char *_comment);
PUBLIC void HOSTS::add (HOST *pt);
PUBLIC int HOSTS::read (void);
PUBLIC int HOSTS::setlocalhost (void);
PUBLIC int HOSTS::write (void)const;
PUBLIC HOST *HOSTS::getitem (int no)const;
PUBLIC HOST *HOSTS::getitem (const char *name)const;
PUBLIC HOST *HOSTS::getbyip (const char *ip)const;
PUBLIC int HOSTS::edit (const char *title, HELP_FILE&helpfile);
PUBLIC CONFIG_FILE_HOSTSVIEW::CONFIG_FILE_HOSTSVIEW (const char *path,
	 const char *subsys,
	 bool _hostid);
PUBLIC int CONFIG_FILE_HOSTSVIEW::archive (SSTREAM&ss)const;
PUBLIC int CONFIG_FILE_HOSTSVIEW::extract (SSTREAM&ss);
PUBLIC CONFIG_FILE_HOSTID::CONFIG_FILE_HOSTID (void);
PUBLIC CONFIG_FILE_HOSTCLIENT::CONFIG_FILE_HOSTCLIENT (void);
/* html_access.cc 23/01/2001 00.05.58 */
PUBLIC HTML_ACCESS::HTML_ACCESS (const char *_net, const char *_mask);
PUBLIC HTML_ACCESS_TB::HTML_ACCESS_TB (void);
PUBLIC HTML_ACCESS *HTML_ACCESS_TB::getitem (int no);
PUBLIC int HTML_ACCESS_TB::write (void);
PRIVATE void HTML_ACCESS_TB::addfield (DIALOG&dia, HTML_ACCESS *a);
PRIVATE void HTML_ACCESS_TB::addfields (DIALOG&dia);
PUBLIC int HTML_ACCESS_TB::edit (void);
PUBLIC int HTML_ACCESS_TB::compute (char *errmsg);
PUBLIC int HTML_ACCESS_TB::check (unsigned long badr, int printlog);
PUBLIC void HTML_ACCESS_TB::setdefaults (void);
/* ifconfig.cc 07/05/2001 16.58.36 */
/* internal.cc 03/10/1995 01.09.14 */
/* ipalias.cc 19/06/2001 18.10.44 */
PRIVATE void IP_ALIAS::init (int _num,
	 const char *_ip,
	 const char *_mask);
PUBLIC IP_ALIAS::IP_ALIAS (int _num,
	 const char *_ip,
	 const char *_mask);
PUBLIC IP_ALIAS::IP_ALIAS (const char *_ip, const char *_mask);
PUBLIC int IP_ALIAS::unset (const char *devname);
PUBLIC int IP_ALIAS::set (int _num, const char *devname);
PUBLIC IP_ALIAS *IP_ALIASES::getitem (int no);
PUBLIC IP_ALIAS *IP_ALIASES::getitem (const char *ip,
	 const char *mask);
PUBLIC void IP_ALIASES::readproc (const char *devname);
PUBLIC int IP_ALIASES::getmaxnum (void);
PUBLIC int IP_ALIASES::setnew (const char *,
	 const char *ips,
	 const char *mask,
	 char *err);
PUBLIC int IP_ALIASES::unsetall (const char *devname);
PUBLIC int IP_ALIASES::setup (const char *devname);
/* ipx.cc 18/09/2000 17.52.44 */
PUBLIC IPX_INFO::IPX_INFO (void);
PRIVATE void IPX_INFO::probe_auto (void);
PUBLIC IPX_INFO::IPX_INFO (CONFIG_FILE&f);
PUBLIC int IPX_INFO::save (void);
PUBLIC int IPX_INFO::edit (void);
PUBLIC int IPX_INFO::set (const char *dev, SSTRINGS&reconf);
/* level.cc 07/08/2000 00.13.02 */
/* net.cc 26/04/2001 12.08.40 */
/* netconf.cc 29/08/2001 13.42.22 */
/* networks.cc 15/06/1998 18.55.30 */
PUBLIC NETWORK::NETWORK (const char *buf);
PUBLIC NETWORK::NETWORK (const char *_ip_num,
	 const char *_name1,
	 const char *_others,
	 const char *_comment);
PUBLIC NETWORK::NETWORK (void);
PUBLIC void NETWORK::print (SSTREAM&ss)const;
PUBLIC int NETWORK::is_special (void)const;
PUBLIC NETWORKS::NETWORKS (void);
PUBLIC VIRTUAL HOST *NETWORKS::newhost (const char *_ip_num,
	 const char *_name1,
	 const char *_others,
	 const char *_comment);
PUBLIC VIRTUAL HOST *NETWORKS::newhost (const char *buf);
/* process.cc 07/08/2000 00.14.38 */
PUBLIC PROC::PROC (int _pid, PROC *_next);
PUBLIC PROC::~PROC (void);
PUBLIC PROC *PROC::getnext (void);
PUBLIC int PROC::isok (void);
PUBLIC const char *PROC::getpath (void);
PUBLIC const char *PROC::getname (void);
PUBLIC int PROC::kill (int signo);
PUBLIC int PROC::getpid (void);
PUBLIC int PROC::getppid (void);
PUBLIC long PROC::getstarttime (void);
/* resolv.cc 21/08/2000 14.30.46 */
PRIVATE void RESOLV::parse (const char *pt);
PUBLIC RESOLV::RESOLV (void);
PUBLIC void RESOLV::reset (void);
PUBLIC int RESOLV::write (void);
/* routed.cc 18/09/2000 17.52.44 */
PUBLIC ROUTED::ROUTED (void);
PUBLIC void ROUTED::save (void);
PUBLIC int ROUTED::is_required (void);
PUBLIC void ROUTED::setoptions (char *buf);
PUBLIC int ROUTED::edit (void);
/* routes1.cc 03/03/2000 12.48.50 */
PUBLIC int ROUTE::edit (RTTYPE route_type);
/* routes.cc 07/08/2000 00.15.42 */
PUBLIC ROUTE::ROUTE (const char *dst,
	 const char *gate,
	 const char *mask,
	 const char *_flags,
	 const char *_iface);
PUBLIC ROUTE::ROUTE (const char *buf, int noline);
PUBLIC ROUTE::ROUTE (void);
PUBLIC ROUTE::~ROUTE (void);
PUBLIC void ROUTE::formatcmd (char *buf)const;
PUBLIC void ROUTE::write (FILE_CFG *fout);
PUBLIC int ROUTE::gettag (void)const;
PUBLIC void ROUTE::settag (int _tag);
PUBLIC int ROUTE::isdevice (void)const;
PUBLIC RTTYPE ROUTE::gettype (void)const;
PUBLIC const char *ROUTE::getmask (void)const;
PUBLIC const char *ROUTE::getiface (void)const;
PUBLIC const char *ROUTE::getgateway (void)const;
PUBLIC const char *ROUTE::getdst (void)const;
PUBLIC int ROUTE::dst_is_host (void)const;
PUBLIC int ROUTE::match (const SSTRING&dst)const;
PUBLIC int ROUTE::compare (const ROUTE *r);
PUBLIC int ROUTE::kill (void)const;
PUBLIC int ROUTE::is_loopback (void);
PUBLIC int ROUTE::is_default (void)const;
PUBLIC int ROUTES::readactive (void);
PUBLIC void ROUTES::write (FILE_CFG *fout);
PUBLIC ROUTE *ROUTES::getitem (int no)const;
PUBLIC ROUTE *ROUTES::find (const SSTRING&ip_dst);
PUBLIC ROUTE *ROUTES::finddefault (void);
PUBLIC void ROUTES::readbyme (void);
PUBLIC void ROUTES::writebyme (void);
/* shutdown.cc 13/09/2001 15.59.14 */
/* simple.cc 07/06/2000 09.53.26 */
/* simul.cc 25/10/2000 14.36.14 */
/* start.cc 05/02/2001 14.53.32 */
PUBLIC SERVICE::SERVICE (const char *_name,
	 const char *_desc,
	 int _state,
	 SERVICE_OWNER _owner);
PUBLIC SERVICE_INTERNAL::SERVICE_INTERNAL (const char *_name,
	 const char *_desc,
	 int _state);
PUBLIC int SERVICE_INTERNAL::edit (void);
PUBLIC int SERVICE_INTERNAL::control (SERVICE_OPER);
PUBLIC const char *SERVICE_INTERNAL::getrunstatus (void);
PUBLIC const char *SERVICE_INTERNAL::getconfstatus (void);
PUBLIC SERVICE *SERVICES::getitem (int no)const;
PUBLIC void SERVICES::sort (void);
/* thishost1.cc 13/09/2001 15.20.46 */
/* thishost.cc 04/04/1998 00.19.30 */
PUBLIC THISHOST::THISHOST (void);
PUBLIC THISHOST::~THISHOST (void);
PUBLIC void THISHOST::setname1 (const char *newname1);
PUBLIC const char *THISHOST::getname1 (void);
PUBLIC const char *THISHOST::getdomain (void);
PUBLIC int THISHOST::configok (void);
